%define mod_name Test-Simple
Name:           perl-%{mod_name}
Summary:        Basic utilities for writing tests
Epoch:          2
Version:        1.302188
Release:        2
License:        (GPL+ or Artistic) and CC0 and Public Domain
URL:            https://metacpan.org/release/%{mod_name}
Source0:        https://cpan.metacpan.org/modules/by-module/Test/%{mod_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils, make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Term::Table)

Requires:       perl(:MODULE_COMPAT_%(perl -V:version | cut -d"'" -f 2))
Requires:       perl(Data::Dumper)
Requires:       perl(Term::ANSIColor)
Requires:       perl(threads::shared)

Obsoletes:      perl-Test2 < %{version}-%{release}
Provides:       perl-Test2 = %{version}-%{release}

%{?perl_default_filter}

%description
This package provides the bulk of the core testing facilities. For more
information, see perldoc for Test::Simple, Test::More, etc.

This package is the CPAN component of the dual-lifed core package %{mod_name}.

%prep
%setup -q -n %{mod_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install 
%{_fixperms} %{buildroot}/*

%check
make test AUTHOR_TESTING=1

%files
%defattr(-,root,root)
%license LICENSE
%doc Changes README 
%dir %{perl_vendorlib}/Test/
%{perl_vendorlib}/ok.pm
%{perl_vendorlib}/Test/Builder/
%{perl_vendorlib}/Test/*.pm
%{perl_vendorlib}/Test/Tester/
%doc %{perl_vendorlib}/Test/Tutorial.pod
%{perl_vendorlib}/Test/use/
%{perl_vendorlib}/Test2.pm
%{perl_vendorlib}/Test2/

%package_help
%files help
%doc examples/ t/
%{_mandir}/man3/ok.3*
%{_mandir}/man3/Test*

%changelog
* Tue Oct 25 2022 zhoushuiqing <zhoushuiqing2@huawei.com> - 1.302188-2
- define mod_name to opitomize the specfile

* Mon Nov 22 2021 liudabo <liudabo1@huawei.com> - 1.302188-1
- upgrade version to 1.302188

* Tue Aug 11 2020 dingyue <dingyue5@huawei.com> - 1.302175-2
- Fix test case error.

* Wed Jul 22 2020 dingyue <dingyue5@huawei.com> - 1.302175-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:bump version to 1.302175

* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.302167-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:change mod of files

* Mon Sep 23 2019 shenyangyang<shenyangyang4@huawei.com> - 1.302167-2
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:revise requires of perl

* Thu Aug 29 2019 hexiaowen <hexiaowen@huawei.com> - 1.302167-1
- Package init
